Warning - LiveCode not optimised for Mac

Deploying to Mac OS? Ask Mac OS specific questions here.

Moderators: Klaus, FourthWorld, heatherlaine, robinmiller, kevinmiller

Post Reply
nverkaik
Posts: 4
Joined: Thu Jan 10, 2019 2:44 am

Warning - LiveCode not optimised for Mac

Post by nverkaik » Thu Jan 10, 2019 2:57 am

G'day,

I tried to search for this topic on the forum but could not find it.

I keep getting a message "LiveCode Indy 9.0.2" is not optimised for your Mac and needs to be updated.

I know what it means, but are you guys working on a solution for it?

Cheers,
Attachments
Screenshot 2019-01-09 at 20.38.17.png

capellan
Posts: 590
Joined: Wed Aug 15, 2007 11:09 pm
Contact:

Re: Warning - LiveCode not optimised for Mac

Post by capellan » Thu Jan 10, 2019 5:50 am

Today, I just updated to LC 9.0.2 (actually installed in his own folder)
and is working fine.

Which MacOSX version are you using?

Al

nverkaik
Posts: 4
Joined: Thu Jan 10, 2019 2:44 am

Re: Warning - LiveCode not optimised for Mac

Post by nverkaik » Thu Jan 10, 2019 3:38 pm

Tried with a couple of versions from 10.14.1 - 10.14.3 and they all gave the same error at some point.

Thunder
Posts: 12
Joined: Thu Mar 12, 2015 1:52 pm

Re: Warning - LiveCode not optimised for Mac

Post by Thunder » Thu Jan 10, 2019 4:24 pm

nverkaik wrote:
Thu Jan 10, 2019 2:57 am
G'day,

I tried to search for this topic on the forum but could not find it.

I keep getting a message "LiveCode Indy 9.0.2" is not optimised for your Mac and needs to be updated.

I know what it means, but are you guys working on a solution for it?

Cheers,
Is LiveCode Indy 9.0.2 32 bit ?

richmond62
Livecode Opensource Backer
Livecode Opensource Backer
Posts: 3119
Joined: Fri Feb 19, 2010 10:17 am
Location: Bulgaria

Re: Warning - LiveCode not optimised for Mac

Post by richmond62 » Thu Jan 10, 2019 7:20 pm

10.14.3
How did you manage that?

I am currently running LC 9.0.2 for Macintosh under MacOS 10.14.2 (Community) and
have no problems at all.

Don't understand that Q. about whether LC 9.0.2 is 32 bit or 64,
as I cannot see a specifically 64 bit version on offer here:

https://downloads.livecode.com/livecode/
Last edited by richmond62 on Thu Jan 10, 2019 7:42 pm, edited 1 time in total.

bogs
Posts: 3089
Joined: Sat Feb 25, 2017 10:45 pm

Re: Warning - LiveCode not optimised for Mac

Post by bogs » Thu Jan 10, 2019 7:41 pm

richmond62 wrote:
Thu Jan 10, 2019 7:20 pm
10.14.3
Don't understand that Q. about whether LC 9.0.2 is 32 bit or 64, as I cannot see a specifically 64 bit version
on offer here:

https://downloads.livecode.com/livecode/
Win and Mac vers. I believe are 64bit only, where as 'nix has a choice. Pretty sure that was announced (somewhere), but have forgotten where I saw it.
Image

jameshale
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 294
Joined: Thu Sep 04, 2008 6:23 am
Location: Melbourne Australia

Re: Warning - LiveCode not optimised for Mac

Post by jameshale » Fri Jan 11, 2019 12:53 am

I had this too earlier this week.
Only once.
Also initially thought 9.02 had dropped to 32 bit but this wasn’t the case.
It quite possibly is a 10.14.3 issue.
@Richmond 10.14.3 is the beta for the next Mojave build.

nverkaik
Posts: 4
Joined: Thu Jan 10, 2019 2:44 am

Re: Warning - LiveCode not optimised for Mac

Post by nverkaik » Fri Jan 11, 2019 2:14 am

@jameshale Hey James, I was running 2 other stable public release versions of OS X and since they both gave me the same error I tried the developers version to see if it would go away. It didn't...

If you have any suggestions, please let me know.

bogs
Posts: 3089
Joined: Sat Feb 25, 2017 10:45 pm

Re: Warning - LiveCode not optimised for Mac

Post by bogs » Fri Jan 11, 2019 1:51 pm

bogs wrote:
Thu Jan 10, 2019 7:41 pm
Win and Mac vers. I believe are 64bit only, where as 'nix has a choice. Pretty sure that was announced (somewhere), but have forgotten where I saw it.
Erm, well, I finally remembered where I saw 'it', but I had the 'it' a bit wrong.
Release notes wrote: Note:
On 64-bit Windows installations, LiveCode runs as a 32-bit application through the WoW
layer.
So, the correct information would have been
Mac
The Mac engine supports: 10.9.x (Mavericks), 10.10.x (Yosemite), 10.11.x (El Capitan), 10.12.x (Sierra), 10.13.x (High Sierra), and 10.14.x (Mojave)
My bad :oops:
Image

nverkaik
Posts: 4
Joined: Thu Jan 10, 2019 2:44 am

Re: Warning - LiveCode not optimised for Mac

Post by nverkaik » Fri Jan 11, 2019 4:33 pm

@bogs Thanks for the update!

Something is definitely odd with my installation. Will delete it later today and reinstall it. Its being a bid difficult with that and a few other messages popping up.

diobosco
Posts: 2
Joined: Thu Nov 25, 2010 11:08 pm

Re: Warning - LiveCode not optimised for Mac

Post by diobosco » Sun Mar 31, 2019 1:41 pm

I have the same problem getting this message. I am using LC 9.0.2 Business Edition on macOS 10.14.1 (18B75).

I believe the Autoupdater module of LC is raising this issue. At least what the macos OS report is telling Section Software - older Software:
Screenshot.png
Screenshot.png (18.14 KiB) Viewed 128 times

Best
Bernardo

Post Reply

Return to “Mac OS”